Page MenuHomePhabricator

Patrol link is misplaced when content contains uncleared floating elements
Open, NormalPublic

Description

Screenshot of https://www.wikidata.org/w/index.php?title=Q16244272&curid=17868521&diff=121515001&oldid=121231169&uselang=en

The patrol link is misplaced. See screenshot.

Possible solutions are:

.patrollink {
    white-space: nowrap;
}

or

.patrollink {
    clear: left;
    display: block;
}

or an other position in the DOM tree.


Attached:

Details

Reference
bz64176

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:22 AM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz64176.
Fomafix created this task.Apr 21 2014, 9:34 AM

Change 127624 had a related patch set uploaded by Gerrit Patch Uploader:
Add clear:both to patrollink

https://gerrit.wikimedia.org/r/127624

Concerns patrol link on all diff pages when content contains uncleared floating elements.

Change 128966 had a related patch set uploaded by Gerrit Patch Uploader:
Enclose parser output into a div container

https://gerrit.wikimedia.org/r/128966

The problem is with the location the patrol link is output in. It's just dumped in a very bad place (both technically awkward and in terms of user experience).

This seems to be fixed now.

Change 128966 abandoned by Bartosz Dziewoński:
Enclose parser output into a div container

https://gerrit.wikimedia.org/r/128966

Change 127624 abandoned by Bartosz Dziewoński:
Clear floating elements from content

https://gerrit.wikimedia.org/r/127624

Hmmm I just checked an unpratrolled edit in Firefox and Chromium and it looks fine. What browser are you using? Is a gadget maybe responsible? Can anyone else reproduce it?

(In reply to Lydia Pintscher from comment #9)

What browser are you using?

I generated the screenshot with Firefox. Other browsers have the same result.

In Wikibase the problem is now mitigated because it uses

.wikibase-entityview {
  clear: both;
  float: left;
  width: 100%;
}

In MediaWiki core the problem still exist when the content contains an uncleared floating element.

Krinkle updated the task description. (Show Details)Dec 20 2014, 11:42 PM
Krinkle set Security to None.
Krinkle removed a subscriber: Krinkle.

In Wikibase the problem is there again because it uses again

.wikibase-entityview {
    clear: both;
    float: left;
}

Change 352768 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] Add overflow:hidden for .mw-parser-output

https://gerrit.wikimedia.org/r/352768